/*					       */
/* Together 2.1 	 installation script.  */
/* (c) Object International Software GmbH.     */
/*					       */
/*  Author : Alexander Kitaev.		       */
/*                                             */
					     
'java.exe together'

/* Loading rexx libraries.	*/

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/* Check for installation path	*/

curr_dir = directory();
inst_dir = linein(curr_dir || '\InstPath.rsp')
r = lineout(curr_dir || '\InstPath.rsp')
if (inst_dir == '') then
	do
		Say 'No program folders will be created.'
		call SysCls
		exit
	end
else
	do
		if (substr(inst_dir, 1, 1) == '\') then
			do
			inst_dir = substr(curr_dir, 1, 2) || inst_dir
			end
		Say 'Installation path == ' || inst_dir
	end

/* Initial values.		*/

icon	 = curr_dir || "\tj.ico";
icon1	 = "?:\OS2\BITMAP\os2warp.bmp";
title	 = "Together"

fldSetup = "ICONFILE=" || icon || ";BACKGROUND=" || icon1 || ",T,1,I,128 128 128;ALWAYSSORT=YES;OBJECTID=<TOM_Folder>";
cmdSetup = "ICONFILE=" || icon || ";OBJECTID=<TOM_Program>;EXENAME=" || inst_dir || "\bin\Together.cmd;STARTUPDIR=" || inst_dir || "\bin;MINIMIZED=YES;ASSOCFILTER=*.TPR";
rdmSetup = "OBJECTID=<TOM_Readme>;EXENAME=Netscape.exe;PARAMETERS=" || inst_dir  || "\readme.html;";
infSetup = "OBJECTID=<TOM_OS2Inf>;EXENAME=Netscape.exe;PARAMETERS=" || inst_dir  || "\readme_os2.html;";
smpSetup = "SHADOWID=" || inst_dir || "\samples;OBJECTID=<TOM_Samples>"
cppSetup = "ICONFILE=" || icon || ";BACKGROUND=" || icon1 || ",T,1,I,128 128 128;OBJECTID=<TOM_CppProjectFolder>;TEMPLATE=YES"
jvaSetup = "ICONFILE=" || icon || ";BACKGROUND=" || icon1 || ",T,1,I,128 128 128;OBJECTID=<TOM_JvaProjectFolder>;TEMPLATE=YES"
prcSetup = "OBJECTID=<TOM_CppProject>"
prjSetup = "OBJECTID=<TOM_JvaProject>"

/* Creating program folder.	*/

r = SysCreateObject("WPFolder", title || " 2.1", "<WP_DESKTOP>", fldSetup, 'R')

/* Creating program objects	*/

r = SysSetObjectData("<TOM_Folder>", "ICONVIEWPOS=10,55,25,45;ICONVIEW=NONFLOWED");
r = SysSetIcon(inst_dir || "\bin\Together.cmd", "tj.ico")

r = SysCreateObject("WPProgram", title,              "<TOM_Folder>", cmdSetup, 'R')
r = SysCreateObject("WPProgram", "Readme",           "<TOM_Folder>", rdmSetup, 'R')
r = SysCreateObject("WPProgram", "OS/2 Information", "<TOM_Folder>", infSetup, 'R')
r = SysCreateObject("WPShadow",  "Sample Projects",  "<TOM_Folder>", smpSetup, 'R')
/*
r = SysCreateObject("WPFolder",  "New C++ Project",  "<TOM_Folder>", cppSetup, 'R')
*/
r = SysCreateObject("WPFolder",  "New Java Project", "<TOM_Folder>", jvaSetup, 'R')


CppProjectFile =  curr_dir || '\New C++ Project.tpr'
JavaProjectFile = curr_dir || '\New Java Project.tpr'

r = lineout(CppProjectFile, "; Together/J Generated Project")
r = lineout(CppProjectFile, "[Project]")
r = lineout(CppProjectFile, " ")
r = lineout(CppProjectFile, "Language=Cpp")
r = lineout(CppProjectFile, "IncludePath=.")
r = lineout(CppProjectFile, "SourcePath=.")
r = lineout(CppProjectFile)

r = lineout(JavaProjectFile, "; Together/J Generated Project")
r = lineout(JavaProjectFile, "[Project]")
r = lineout(JavaProjectFile, " ")
r = lineout(JavaProjectFile, "ClassPath=.")
r = lineout(JavaProjectFile, "SourcePath=.")
r = lineout(JavaProjectFile)

/*
r = SysMoveObject(CppProjectFile,  "<TOM_CppProjectFolder>")
*/
r = SysMoveObject(JavaProjectFile, "<TOM_JvaProjectFolder>")

/* Delete temporary files.	 */

'del ' || curr_dir || '\InstPath.rsp'
'del ' || curr_dir || '\tj.ico'

/* Open folder. 		 */

r = SysOpenObject("<TOM_Folder>", "ICON", 1);
call SysCls
'exit'
